Qt 5.6 | Qt Core | C++ Classes | QFlag

Qt 5.6.2 Reference Documentation

# QFlag Class

The QFlag class is a helper data type for QFlags. More...

Header: | #include <QFlag>
qmake: | QT += core

- List of all members, including inherited members

## Public Functions

| QFlag(int value)
| QFlag(uint value)
| QFlag(short value)
| QFlag(ushort value)
| operator int() const
| operator uint() const

## Detailed Description

The QFlag class is a helper data type for QFlags.

It is equivalent to a plain `int`, except with respect to function overloading and type conversions. You should never need to use this class in your applications.

See also QFlags.

## Member Function Documentation

### QFlag::QFlag(int value)

Constructs a QFlag object that stores the given value.

### QFlag::QFlag(uint value)

Constructs a QFlag object that stores the given value.

This function was introduced in Qt 5.3.

### QFlag::QFlag(short value)

Constructs a QFlag object that stores the given value.

This function was introduced in Qt 5.3.

### QFlag::QFlag(ushort value)

Constructs a QFlag object that stores the given value.

This function was introduced in Qt 5.3.

### QFlag::operator int() const

Returns the value stored by the QFlag object.

### QFlag::operator uint() const

Returns the value stored by the QFlag object.

This function was introduced in Qt 5.3.